Hex: src/quantities.h File Reference

| Hex 2.2 Hydrogen-electron collision solver

Data Structures | Macros | Functions
quantities.h File Reference
`#include <iostream>`
`#include <string>`
`#include <map>`
`#include <vector>`
`#include "hex-rts.h"`
`#include <sqlitepp/sqlitepp.hpp>`
Include dependency graph for quantities.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | ScatteringQuantity

## Macros

#define | createNewScatteringQuantity(Q, NAME)

## Functions

ScatteringQuantity * | get_quantity (std::string name)

## Macro Definition Documentation

## ◆ createNewScatteringQuantity

#define createNewScatteringQuantity | ( |  | Q,
|  |  | NAME
| ) |  |

Value:
class Q : public ScatteringQuantity \
{ \
public: \
derivedClassRunTimeSelectionDefinitions(ScatteringQuantity, (), Q, (), NAME) \
std::string description (); \
std::vector<std::pair<std::string,std::string>> params (); \
std::vector<std::string> vparams (); \
std::vector<std::string> dependencies (); \
bool initialize (sqlitepp::session & db); \
bool createTable (); \
bool updateTable (); \
bool run (std::map<std::string,std::string> const & params); \
}; \
addClassToParentRunTimeSelectionTable(ScatteringQuantity, Q)
ScatteringQuantity::vparams
virtual std::vector< std::string > vparams()
List of vectorizable scattering event parameters that have to be specified by user.
Definition: quantities.h:80
ScatteringQuantity::updateTable
virtual bool updateTable()
SQL statements that update the table after insetion of new data.
Definition: quantities.h:113
db
sqlitepp::session db
Definition: db.cpp:58
ScatteringQuantity::run
virtual bool run(std::map< std::string, std::string > const &params)
write out requested data
Definition: quantities.h:119
ScatteringQuantity::initialize
virtual bool initialize(sqlitepp::session &db)
initialize (e.g.) by defining external routines for SQLite
Definition: quantities.h:100
ScatteringQuantity::dependencies
virtual std::vector< std::string > dependencies()
Definition: quantities.h:87
ScatteringQuantity::params
virtual std::vector< std::pair< std::string, std::string > > params()
List of all scattering event parameters (with description) that have to be specified by user...
Definition: quantities.h:74
ScatteringQuantity
Definition: quantities.h:52
ScatteringQuantity::createTable
virtual bool createTable()
SQL statements that create the required table, or empty vector if not needed.
Definition: quantities.h:107

## Function Documentation

## ◆ get_quantity()

ScatteringQuantity* get_quantity | ( | std::string | name | ) |